import scalaj.http._

object demo extends CzHttp with App {
  val request: HttpResponse[String] = getBalance
  println(request.body)
  var request1: HttpResponse[String] = sendMsg("13800138000", "感谢您体验驰早科技短信服务，本次动态码为024420，更多资讯请点击www.chizao10086.net【驰早科技】")
  println(request1.body)
}



class CzHttp {

  val host: String = "http://api.chizao10086.net/http.php"
  val unitid :Int = 168
  val username: String = "test"
  val passwd: String = "test"

  def getUserInfo = {
    var postSeq = Seq[(String, String)]()
    postSeq = ("unitid" -> unitid.toString) +: postSeq
    postSeq = ("username" -> username) +: postSeq
    postSeq = ("passwd" -> passwd) +: postSeq
    postSeq
  }


  /**
    * 查询余额
    * @return
    */
  def getBalance: HttpResponse[String] = {
    var postSeq = getUserInfo
    postSeq = ("act" -> "getBalance") +: postSeq
    val request: HttpRequest = Http(host).postForm(postSeq)
    request.asString
  }

  /**
    * 发送短信
    * @param phone
    * @param msg
    * @return
    */
  def sendMsg(phone: String, msg: String): HttpResponse[String] = {
    var postSeq = getUserInfo
    postSeq = ("act" -> "sendMsg") +: postSeq
    postSeq = ("msg" -> msg) +: postSeq
    postSeq = ("phone" -> phone) +: postSeq
    val request: HttpRequest = Http(host).postForm(postSeq)
    request.asString
  }
}
